Skip to main content
POST
/
v2
/
checkouts
/
{checkoutId}
/
expire
Expire checkout
curl --request POST \
  --url https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId}/expire \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId}/expire"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.pawapay.io/v2/checkouts/{checkoutId}/expire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "checkoutId": "afb57b93-7849-49aa-babb-4c3ccbfe3d79",
  "status": "EXPIRED",
  "expiredAt": "2026-03-27T10:45:00Z",
  "reason": "MANUAL_EXPIRY",
  "expiredBy": "API"
}
{
"status": "REJECTED",
"failureReason": {
"failureCode": "AUTHENTICATION_ERROR",
"failureMessage": "The API token in the request is invalid."
}
}
{
"status": "REJECTED",
"failureReason": {
"failureCode": "AUTHORISATION_ERROR",
"failureMessage": "The API token in the request is not authorised for this endpoint."
}
}
{
"status": "REJECTED",
"failureReason": {
"failureCode": "NOT_FOUND",
"failureMessage": "Checkout with ID afb57b93-7849-49aa-babb-4c3ccbfe3d79 not found."
}
}
{
"failureReason": {
"failureCode": "UNKNOWN_ERROR",
"failureMessage": "Unable to process request due to an unknown problem."
}
}
Expires a checkout that should no longer be used.
  • A successful response returns the checkout in its current state together with expiredAt.
  • When the expiration is applied, the checkout status will be EXPIRED.
  • After expiry, the customer can no longer make new payment attempts on that checkout.
  • If the checkout does not exist, the endpoint returns NOT_FOUND.

Authorizations

Authorization
string
header
required

Path Parameters

checkoutId
string<uuid>
required

The id of the checkout that you are performing this operation on.

Required string length: 36

Response

Request has been processed by PawaPay.

checkoutId
string<uuid>
required

The unique ID for this payment in PawaPay as specified by you during initiation.

Required string length: 36
Example:

"f4401bd2-1568-4140-bf2d-eb77d2b2b639"

status
enum<string>
required

Possible checkout lifecycle statuses. This is distinct from the initiation status (CheckoutCreationStatus) returned when the checkout is created.

  • WAITING_PAYMENT - The checkout and its hosted payment page have been created and are waiting for the customer to pay.
  • PROCESSING - A payment attempt is in progress and the checkout is still being processed.
  • COMPLETED - The checkout has completed successfully. This is a final status.
  • FAILED - The checkout has failed. Inspect deposit or depositsHistory for the latest attempt result when available. This is a final status.
  • EXPIRED - The checkout has expired and can no longer be used. This is a final status.
  • CANCELLED - The customer cancelled the payment on the hosted payment page. This is a final status.
Available options:
WAITING_PAYMENT,
PROCESSING,
COMPLETED,
FAILED,
EXPIRED,
CANCELLED
expiredAt
string<date-time>

Timestamp when the checkout was expired.

Example:

"2026-03-27T10:45:00Z"

reason
string

Reason reported for the expiration.

Example:

"MANUAL_EXPIRY"

expiredBy
string

Actor that expired the checkout.

Example:

"API"